Package com.tibco.patterns.learn.modelconfig

## Class STFixed

- java.lang.Object
- - com.tibco.patterns.learn.modelconfig.SubsetTrainConfig
  - - com.tibco.patterns.learn.modelconfig.STFixed

-     public final class STFixed
      extends SubsetTrainConfig

  Specifies training up to a fixed depth of subsets, defined by percentage of missing information in the subset. Immutable class. Synthetic examples are always generated for these subsets, and never generated for subsets of greater depth. Default missing info limit is 0.25.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `STFixed()` | Creates a new fixed depth subset training configuration with default parameters.
    `STFixed​(double missingInfoLimit)` | Creates a new fixed depth subset training configuration with custom parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubsetTrainConfig` | `copy()` | Copies this object to a new object.
    `double` | `getMissingInfoLimit()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.tibco.patterns.learn.modelconfig.SubsetTrainConfig

      `create, getSubsetTrainMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### STFixed

          public STFixed()

      Creates a new fixed depth subset training configuration with default parameters.

    - #### STFixed

          public STFixed​(double missingInfoLimit)

      Creates a new fixed depth subset training configuration with custom parameters. Sets the maximum percentage of values that may be missing in a generated training example for a subset.
      Parameters:
        `missingInfoLimit` - - the missing information limit.
      Throws:
        `java.lang.IllegalArgumentException` - if the missing info limit is not between 0 and 1.

  - ### Method Detail

    - #### copy

          public SubsetTrainConfig copy()

      Description copied from class: `SubsetTrainConfig`
      Copies this object to a new object. Assumes that some subclasses may be mutable.
      Specified by:
        `copy` in class `SubsetTrainConfig`
      Returns:
        a deep copy of this object. An object of appropriate subclass is returned.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SubsetTrainConfig`

    - #### getMissingInfoLimit

          public double getMissingInfoLimit()

      Returns:
        missing information limit stored in this object.